/*
 * Using prisma-binding from
 * https://github.com/prisma/prisma-binding
 */

const { Prisma } = require('prisma-binding')
const { typeDefs } = require('../database/generated/prisma-client/prisma-schema')

const db = new Prisma({
  typeDefs,
  endpoint: process.env.PRISMA_ENDPOINT,
  secret: process.env.PRISMA_SECRET
})

module.exports = { db }
